Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

ossl_rand.h
Go to the documentation of this file.
1 /*
2 * 'OpenSSL for Ruby' project
3 * Copyright (C) 2001-2002 Michal Rokos <m.rokos@sh.cvut.cz>
4 * All rights reserved.
5 */
6 /*
7 * This program is licensed under the same licence as Ruby.
8 * (See the file 'LICENCE'.)
9 */
10 #if !defined(_OSSL_RAND_H_)
11 #define _OSSL_RAND_H_
12
13 extern VALUE mRandom;
14 extern VALUE eRandomError;
15
16 void Init_ossl_rand(void);
17
18 #endif /* _OSSL_RAND_H_ */
mRandom
VALUE mRandom
Definition: ossl_rand.c:12
VALUE
unsigned long VALUE
Definition: ruby.h:102
eRandomError
VALUE eRandomError
Definition: ossl_rand.c:13
Init_ossl_rand
void Init_ossl_rand(void)
Definition: ossl_rand.c:206